## wxTipWindow

Shows simple text in a popup tip window on creation. This is used by wxSimpleHelpProvider to show popup help. The window automatically destroys itself when the user clicks on it or it loses the focus.

You may also use this class to emulate the tooltips when you need finer control over them than what the standard tooltips provide.

Derived from

wxPopupTransientWindow
wxPopupWindow
wxWindow
wxEvtHandler
wxObject

Include files

<wx/tipwin.h>

Members

wxTipWindow::wxTipWindow
wxTipWindow::SetTipWindowPtr
wxTipWindow::SetBoundingRect

### wxTipWindow::wxTipWindow

wxTipWindow(wxWindow* parent, const wxString& text, wxCoord maxLength = 100, wxTipWindow** windowPtr, wxRect *rectBounds = `NULL`)

Constructor. The tip is shown immediately after the window is constructed.

Parameters

parent

The parent window, must be non-`NULL`

text

The text to show, may contain the new line characters

maxLength

The length of each line, in pixels. Set to a very large value to avoid wrapping lines

windowPtr

Simply passed to SetTipWindowPtr below, please see its documentation for the description of this parameter

rectBounds

If non-`NULL`, passed to SetBoundingRect below, please see its documentation for the description of this parameter

### wxTipWindow::SetTipWindowPtr

void SetTipWindowPtr(wxTipWindow** windowPtr)

When the tip window closes itself (which may happen at any moment and unexpectedly to the caller) it may `NULL` out the pointer pointed to by it windowPtr. This is helpful to avoid dereferencing the tip window which had been already closed and deleted.

### wxTipWindow::SetBoundingRect

void SetBoundingRect(const wxRect& rectBound)

By default, the tip window disappears when the user clicks the mouse or presses a keyboard key or if it loses focus in any other way - for example because the user switched to another application window.

Additionally, if a non-empty rectBound is provided, the tip window will also automatically close if the mouse leaves this area. This is useful to dismiss the tip mouse when the mouse leaves the object it is associated with.

Parameters

rectBound

The bounding rectangle for the mouse in the screen coordinates